## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathExecutionContext::GetAndReleaseCachedString Class Reference

Collaboration diagram for XPathExecutionContext::GetAndReleaseCachedString:

[legend]
List of all members.

## Public Member Functions

- GetAndReleaseCachedString (XPathExecutionContext &theExecutionContext)
- GetAndReleaseCachedString (GetAndReleaseCachedString &theSource)
- ~GetAndReleaseCachedString ()
- XalanDOMString & get () const
- XPathExecutionContext & getExecutionContext () const

## Constructor & Destructor Documentation

XPathExecutionContext::GetAndReleaseCachedString::GetAndReleaseCachedString | ( | XPathExecutionContext & | theExecutionContext | ) |

XPathExecutionContext::GetAndReleaseCachedString::GetAndReleaseCachedString | ( | GetAndReleaseCachedString & | theSource | ) |

XPathExecutionContext::GetAndReleaseCachedString::~GetAndReleaseCachedString | ( |  | ) |

## Member Function Documentation

XalanDOMString& XPathExecutionContext::GetAndReleaseCachedString::get | ( |  | ) | const

XPathExecutionContext& XPathExecutionContext::GetAndReleaseCachedString::getExecutionContext | ( |  | ) | const

The documentation for this class was generated from the following file:

- XPathExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.